{
  "schema_version": "1.4.0",
  "id": "GHSA-mh6x-wxv2-qm6f",
  "modified": "2023-03-13T15:30:19Z",
  "published": "2023-03-01T12:30:15Z",
  "aliases": [
    "CVE-2021-4327"
  ],
  "details": "A vulnerability was found in SerenityOS. It has been rated as critical. Affected by this issue is the function initialize_typed_array_from_array_buffer in the library Userland/Libraries/LibJS/Runtime/TypedArray.cpp. The manipulation leads to integer overflow. The exploit has been disclosed to the public and may be used. Continious delivery with rolling releases is used by this product. Therefore, no version details of affected nor updated releases are available. The name of the patch is f6c6047e49f1517778f5565681fb64750b14bf60. It is recommended to apply a patch to fix this issue. VDB-222074 is the identifier assigned to this vulnerability.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2021-4327"
    },
    {
      "type": "WEB",
      "url": "https://github.com/SerenityOS/serenity/commit/f6c6047e49f1517778f5565681fb64750b14bf60"
    },
    {
      "type": "WEB",
      "url": "https://devcraft.io/2021/02/11/serenityos-writing-a-full-chain-exploit.html"
    },
    {
      "type": "WEB",
      "url": "https://vuldb.com/?ctiid.222074"
    },
    {
      "type": "WEB",
      "url": "https://vuldb.com/?id.222074"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "CRITICAL",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2023-03-01T11:15:00Z"
  }
}